﻿using Dynamicweb.DataIntegration.EndpointManagement;

namespace Dynamicweb.Ecommerce.LiveIntegration.EndpointMonitoring
{
    internal class EndpointInfo
    {
        internal string WebServiceUrl { get; private set; }
        internal Endpoint Endpoint { get; private set; }

        internal string GetUrl()
        {
            return Endpoint != null ? Endpoint.Url : WebServiceUrl;
        }

        internal EndpointInfo(string webServiceUrl)
        {
            WebServiceUrl = webServiceUrl;
        }

        internal EndpointInfo(Endpoint endpoint)
        {
            Endpoint = endpoint;
        }
    }
}
